QwtSingleArrayData Class Reference

Single array data (extension to QwtData) More...

`#include <BoxCurve.h>`

Inheritance diagram for QwtSingleArrayData:

## Public Member Functions

virtual QwtData * | copy () const
| QwtSingleArrayData (const double x, QwtArray< double > y, size_t)
virtual size_t | size () const
virtual double | x (size_t) const
virtual double | y (size_t i) const

## Private Attributes

double | d_x
QwtArray< double > | d_y

## Detailed Description

Single array data (extension to QwtData)

## Constructor & Destructor Documentation

QwtSingleArrayData::QwtSingleArrayData | ( | const double | x,
|  | QwtArray< double > | y,
|  | size_t |
| ) |  |

inline

References d_x, d_y, x(), and y().

Referenced by copy().

## Member Function Documentation

virtual QwtData* QwtSingleArrayData::copy | ( |  | ) | const

inline virtual

References d_x, d_y, QwtSingleArrayData(), and size().

virtual size_t QwtSingleArrayData::size | ( |  | ) | const

inline virtual

References d_y.

Referenced by copy().

virtual double QwtSingleArrayData::x | ( | size_t |  | ) | const

inline virtual

References d_x.

Referenced by QwtSingleArrayData().

virtual double QwtSingleArrayData::y | ( | size_t | i | ) | const

inline virtual

References d_y.

Referenced by QwtSingleArrayData().

## Member Data Documentation

double QwtSingleArrayData::d_x

private

Referenced by copy(), QwtSingleArrayData(), and x().

QwtArray<double> QwtSingleArrayData::d_y

private

Referenced by copy(), QwtSingleArrayData(), size(), and y().

The documentation for this class was generated from the following file:

- qtiplot/src/plot2D/BoxCurve.h